View Issue Details

IDProjectCategoryView StatusLast Update
0000979Industrial-Craft²machinespublic2014-06-26 15:38
ReporteryeganerAssigned ToThunderdark 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000979: Adv. Miner doing nothing
DescriptionAdvanced Miner is doing nothing in latest release.
Steps To Reproduce- Place down an Advanced Miner
- connect it to any power source
- Place OV/OD Scanner in it
- Apply redstone Signal

Result:
Nothing happens.
Additional InformationAfter decompiling IC2 build 416 i looked in the Code and in the work methode it is checking if the block isAir() and canMine() both are true and then tries to mine it

I think the comparison should be
if (!isAir() && canMine())
    doMine()
endif
TagsNo tags attached.
Minecraft Version

Activities

yeganer

2014-03-09 00:08

reporter   ~0002208

This is the Code snipped my decompilation returned:

Block block = this.worldObj.getBlock(this.minetargetX, this.minelayer, this.minetargetZ);

if (block.isAir(this.worldObj, this.minetargetX, this.minelayer, this.minetargetZ) && this.canMine(this.minetargetX, this.minelayer, this.minetargetZ, block))
{
  this.doMine(block);
}

Where obviously the ! in front of block.isAir() is missing

Thunderdark

2014-06-26 15:38

viewer   ~0002692

fixed in next build a missing ! ;-)

Issue History

Date Modified Username Field Change
2014-03-08 20:09 yeganer New Issue
2014-03-09 00:08 yeganer Note Added: 0002208
2014-06-26 15:38 Thunderdark Note Added: 0002692
2014-06-26 15:38 Thunderdark Status new => resolved
2014-06-26 15:38 Thunderdark Resolution open => fixed
2014-06-26 15:38 Thunderdark Assigned To => Thunderdark